Vidi (List Component) - Bug # 56392

Status: Resolved Priority: Should have
Author: Christian Weiske Category:

Created: 2014-02-27 Assigned To:

Updated: 2014-04-09 Due date:

Subject: vidi ModuleMenuView breaks typo3 git master

Description

When vidi is loaded, current typo3 git master does not work anymore - extension manager and other modules cannot be accessed
anymore; you'll get an error "The requested URL /typo3/null was not found on this server."

Removing the xclass loading code in ext_localconf.php makes the problem go away.

This is caused by #55509, commit 6e9e5455ba0c656e50ce94bc08d988bbadec642e

Related issues:

related to Core - Story # 55509: Add CSRF Protection to mod.php

Resolved

2014-02-26

History

#1 - 2014-02-27 18:03 - Matthias Eberlein

| can confirm this Issue

#2 - 2014-03-05 10:21 - Christian Weiske

This does now happen with TYPO3 6.2beta6.

#3 - 2014-03-05 15:24 - Martin Hummer

can confirm.
works in beta5
breaks beta6

#4 - 2014-03-06 10:34 - Marian Pollzien

Quickfix: Remove ModuleMenuView override in ext_localconf.php.

#5 - 2014-03-12 19:14 - Steffen Miiller

Removing the ModuleMenuView override will break compatibility with TYPO3 <= 6.1.

I'd rather add a condition which to check the version:

if (version_compare(TYPO3_branch, '6.1", '<=")) {
#6 - 2014-03-12 19:22 - Gerrit Code Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.0rg/28310

#7 - 2014-03-12 19:24 - Steffen Miiller
- Status changed from New to Under Review

please test the changeset in gerrit and give feedback.

#8 - 2014-03-12 19:31 - Gerrit Code Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.0rg/28310

#9 - 2014-04-01 14:17 - Gerrit Code Review

Patch set 3 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.0rg/28310

#10 - 2014-04-01 14:42 - Steffen Miiller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b625e9ae1f0015c5338ff99a9a79a4284ab12efd.

#11 - 2014-04-09 17:40 - Fabien Udriot

- Target version set to 0.3.0
